commit:     6725a37b5c4eceb45fa398ab087b98f1107faec5
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Wed Jul 25 19:26:11 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct  5 21:28:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6725a37b

app-text/linuxdoc-tools: verbump to 0.9.73

Among other things uses nsgmls without a pipe, which fixes bug 606768.

Bug: https://bugs.gentoo.org/606768
Signed-off-by: Ilya Tumaykin <itumaykin <AT> gmail.com>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9350

 app-text/linuxdoc-tools/Manifest                   |  1 +
 .../linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild    | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-text/linuxdoc-tools/Manifest b/app-text/linuxdoc-tools/Manifest
index fe5f6726cb2..13d8bb69572 100644
--- a/app-text/linuxdoc-tools/Manifest
+++ b/app-text/linuxdoc-tools/Manifest
@@ -1 +1,2 @@
 DIST linuxdoc-tools-0.9.72.tar.gz 614429 BLAKE2B 
404b311c0560780bd81f021760d32e47cd6ebe8abc9aa64a181b8ce727dd0edbbd88d286cdfdcc97a51981bd0bd299563d7b1b2945e06f83ff32c7d3e56abb19
 SHA512 
2d522a99212dab2535786b64e0b404a9bb023d1612d8e57a628de21b5e77b104285713a98591c61a2fb2196e687b34180198ab0dfeda2b44fbbce051e9919408
+DIST linuxdoc-tools-0.9.73.tar.gz 613971 BLAKE2B 
e2e04aaa44d5e2cea5af266e38b476381f87a02b9704e03ae5943f7714634d5d214350abd5b193f2efe656a264403c679495af5f954870b30d32b8b799ad7206
 SHA512 
b26896316e259cf4ef170814d410b1e39e58f61db49b03b4b9c1f767f8459d84214e92d9dcc09ad739508fd9c3c5fe4a2264cbb3c693a11362e59fd221655252

diff --git a/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild 
b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild
new file mode 100644
index 00000000000..18bccf5a487
--- /dev/null
+++ b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# EAPI=6 is blocked by Gentoo bugs 497038, 497052.
+EAPI=5
+
+inherit autotools latex-package perl-functions sgml-catalog toolchain-funcs
+
+DESCRIPTION="A toolset for processing LinuxDoc DTD SGML files"
+HOMEPAGE="https://gitlab.com/agmartin/linuxdoc-tools";
+SRC_URI="https://gitlab.com/agmartin/linuxdoc-tools/-/archive/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-3+ MIT SGMLUG"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="
+       || ( app-text/openjade app-text/opensp )
+       app-text/sgml-common
+       dev-lang/perl:=
+       sys-apps/groff
+"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       virtual/awk
+       doc? (
+               dev-texlive/texlive-fontsrecommended
+               virtual/latex-base
+       )
+"
+
+src_prepare() {
+       # Pregenerated configure scripts fail.
+       eautoreconf
+}
+
+src_configure() {
+       perl_set_version
+       tc-export CC
+       local myeconfargs=(
+               --disable-docs
+               --with-texdir="${TEXMF}/tex/latex/${PN}"
+               --with-perllibdir="${VENDOR_ARCH}"
+               --with-installed-iso-entities
+       )
+       use doc && myeconfargs+=(--enable-docs="txt pdf html")
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       # Prevent access violations from bitmap font files generation.
+       use doc && export VARTEXFONTS="${T}/fonts"
+       default_src_compile
+}
+
+src_install() {
+       # Makefile ignores docdir configuration option.
+       emake DESTDIR="${D}" docdir="${EPREFIX}/usr/share/doc/${PF}" install
+       dodoc ChangeLog README
+}
+
+sgml-catalog_cat_include "/etc/sgml/linuxdoc.cat" 
"/usr/share/${PN}/${PN}.catalog"
+
+pkg_postinst() {
+       latex-package_pkg_postinst
+       sgml-catalog_pkg_postinst
+}
+
+pkg_postrm() {
+       latex-package_pkg_postrm
+       sgml-catalog_pkg_postrm
+}

Reply via email to